#databaseChangeLog:
#  - changeSet:
#      id: 20240224-07
#      author: MiriMerdan
#      changes:
#        - createTable:
#            tableName: users
#            columns:
#              - column:
#                  name: id
#                  type: BIGINT
#                  autoIncrement: true
#                  constraints:
#                    primaryKey: true
#              - column:
#                  name: name
#                  type: VARCHAR(255)
#              - column:
#                  name: surname
#                  type: VARCHAR(255)
#              - column:
#                  name: email
#                  type: VARCHAR(255)
#                  constraints:
#                    nullable: false
#                    unique: true
#              - column:
#                  name: password
#                  type: VARCHAR(255)
#                  constraints:
#                    nullable: false
#              - column:
#                  name: username
#                  type: VARCHAR(255)
#                  constraints:
#                    unique: true
#              - column:
#                  name: role
#                  type: VARCHAR(255)
#                  constraints:
#                    nullable: false
#              - column:
#                  name: organization_id
#                  type: BIGINT
#                  constraints:
#                    nullable: false
#  - changeSet:
#      id: 20240204-08
#      author: MiriMerdan
#      changes:
#        - createTable:
#            tableName: task_user
#            columns:
#              - column:
#                  name: task_id
#                  type: BIGINT
#                  constraints:
#                    nullable: false
#              - column:
#                  name: user_id
#                  type: BIGINT
#                  constraints:
#                    nullable: false
#  - changeSet:
#      id: 20240204-09
#      author: MiriMerdan
#      changes:
#        - addForeignKeyConstraint:
#            baseTableName: task_user
#            baseColumnNames: task_id
#            referencedTableName: tasks
#            referencedColumnNames: id
#            constraintName: FK_task_user_task
databaseChangeLog:
  - changeSet:
      id: 20240223-03
      author: MiriMerdan
      changes:
        - createTable:
            tableName: users
            columns:
              - column:
                  name: id
                  type: BIGINT
                  autoIncrement: true
                  constraints:
                    primaryKey: true
                    nullable: false
              - column:
                  name: name
                  type: VARCHAR(255)
                  constraints:
                    nullable: false
                    unique: true
              - column:
                  name: surname
                  type: VARCHAR(255)
                  constraints:
                    nullable: false
                    unique: true
              - column:
                  name: username
                  type: VARCHAR(255)
                  constraints:
                    nullable: false
                    unique: true
              - column:
                  name: password
                  type: VARCHAR(255)
              - column:
                  name: email
                  type: VARCHAR(255)
                  constraints:
                    unique: true
              - column:
                  name: organization_id
                  type: BIGINT
              - column:
                  name: task_id
                  type: BIGINT
              - column:
                  name: role
                  type: VARCHAR(255)
